$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.58.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.58.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A573A4D6BFAD5F1F258354C0CC52E72D04A95EB779D373FF85B8189294DA8620'
  checksumType = 'sha256'
  checksum64 = 'A573A4D6BFAD5F1F258354C0CC52E72D04A95EB779D373FF85B8189294DA8620'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.58-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
